function mini_create ()
  show_help_wnd=true;
  init_mini(1);
  create_mini(19,4,30,196,90,646,483,651,1,10,0,2,false,3);
  -- create_mini(8128);
  -- finish_mini_game(true);
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)

  if sender==30 then
    setcurentleaf("oranjereya",1,2);
      flags.nohints=false;
    if flags.minicomplete15 then 
    CreateWindow(150,250,"270",nil,nil,250,30);
      Set_Cursor(54,3);
      collaps_obj(106,0,0,10,0);
      --playeffect("01");
      
          savegame(SaveLevel());
    return; end;
  return; end;
  
  if sender==10 then
    flags.minicomplete15=true;
    CreateWindow(200,250,"106",1,"m&i",63,107,"spi4ki",246,13);
    -- StartTimer(2100,1)
  return; end;
  if sender==26 then
  if id==100 then
  set_visible_object(5001,true)
  end;
    if id==1 then
      clear_satelite_leaf("oranjereya");
    return; end;
  return; end;
  if sender==37 then
     skipping=true;
  return;end;  
  -- if sender==36 then
    -- clear_satelite_leaf("oranjereya");
  -- return;end;  
  if sender==100 then
    if not help then
      CreateWindow(200,200,"3",100,"messageinfo",30,50)
      help=true;
    end;
  return;end;
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender==1 then
    if id==6000 then
      helpbtn=true;
    return;end
    if id==5000 and skipping then
      if not flags.minicomplete15 then
        finish_mini_game(true);
      return;end;  
    return;end;
  if id==650 then
      playeffect("17");  
    finish_mini_game(false);
    clear_satelite_leaf("oranjereya");
    DeleteResource(    "m15_close"       );
    DeleteResource(    "m15_gorizont"   );
    DeleteResource(    "m15_fon"       );
    DeleteResource(    "m15_vertikal"   );
    DeleteResource(    "spi4ki"   );
  return;end;
      if not flags.minicomplete15 then      
        if id>=651 and id<=654 then --нажимаем на часть телеграммы
          add_to_mouse(id);
          mousepresed=true;
          objectid=id;
        return 0; end  
      return;end;
  return; end;
  
  if sender == 6 then  
      if helpbtn then
     CreateWindow(200,200,"3",100,"messageinfo",30,50)
           playeffect("11");
      helpbtn=false;
    end;
    if not ok then
    if mousepresed==true
    then
        playeffect("safe");
      RemoveFromMouse(objectid);
      check_mini_game_puzzle(objectid);
      mousepresed=false;
      objectid=0;
    end
    return; end;
  return; end;
  
    
    
end;
function mini_delete ()

end;